"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const modal_1 = __importDefault(require("./modal"));
const Portal_1 = require("../Portal");
class Modal extends react_1.Component {
    /**
     *
     * @param title {string} 标题
     * @param content {string} 内容
     * @param options Omit<ModalProps, 'title' | 'content' | 'visible' | 'onConfirm' | 'onClose'> 配置项，参考Modal组件配置
     * @returns
     */
    static show(title, content, options = {}) {
        return new Promise(resolve => {
            const key = Portal_1.portal.add(react_1.default.createElement(modal_1.default, Object.assign({}, options, { title: title, content: content, visible: true, onConfirm: () => {
                    Portal_1.portal.remove(key);
                    resolve({ confirm: true });
                }, onClose: () => {
                    Portal_1.portal.remove(key);
                    resolve({ confirm: false });
                } })));
        });
    }
    render() {
        return react_1.default.createElement(modal_1.default, Object.assign({}, this.props));
    }
}
exports.default = Modal;
